"""Options used by the Graylog charm."""
import os


SNAP_NAME = "graylog"
SNAP_COMMON_DIR = "/var/snap/graylog/common/"
CONF_FILE = "/var/snap/graylog/common/server.conf"
SNAP_CONF_FILE = "/snap/graylog/current/etc/graylog/server/server.conf"
# /snap/graylog is a read-only squashfs so we use the initial settings
# and write out an override to SERVER_DEFAULT_CONF_FILE
SHIPPED_SNAP_SERVER_DEFAULT_CONF_FILE = (
    "/snap/graylog/current/etc/default/graylog-server"
)
SERVER_DEFAULT_CONF_FILE = "/var/snap/graylog/current/default-graylog-server"
ELASTICSEARCH_DISCOVERY_PORT = "9300"
SERVICE_NAME = "snap.graylog.graylog"
DEFAULT_REST_API_TIMEOUT = 120
NAGIOS_USERNAME = "nagios"
CERT_PATH = os.path.join(SNAP_COMMON_DIR, "server.crt")
CERT_KEY_PATH = os.path.join(SNAP_COMMON_DIR, "server.key")
